%define rel	1

Name:		systemdgenie
Version:	0.100.0
Release:	%mkrel %{rel}
Summary:	Systemd Management Utility for Plasma
Group:		Graphical desktop/KDE
License:	GPLv2+
URL:		https://invent.kde.org/system/systemdgenie
# from commit: cdbddbf9 as of: 20250621
Source0:	https://download.kde.org/unstable/systemdgenie/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Auth)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6TextEditor)
BuildRequires:	cmake(KF6KIO)

BuildRequires:	pkgconfig(libsystemd)

Requires:	systemd

%description
SystemdGenie is a systemd management utility based on KDE technologies.
It provides a graphical frontend for the systemd daemon, which allows
for viewing and controlling systemd units, logind sessions as well as
easy modification of configuration and unit files.

%files -f %{name}.lang
%doc NEWS README.md
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_libexecdir}/kauth/systemdgeniehelper
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_datadir}/dbus-1/system.d/org.kde.kcontrol.%{name}.conf
%{_kf6_datadir}/dbus-1/system-services/org.kde.kcontrol.%{name}.service
%{_kf6_datadir}/polkit-1/actions/org.kde.kcontrol.%{name}.policy
%{_kf6_metainfodir}/org.kde.%{name}.metainfo.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Tue Jul 01 2025 daviddavid <daviddavid> 0.100.0-1.mga10
+ Revision: 2234368
- new version: 0.100.0
- switch to Qt6/KF6
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Apr 06 2022 umeabot <umeabot> 0.99.0-7.mga9
+ Revision: 1845900
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.99.0-6.mga8
+ Revision: 1659960
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.99.0-5.mga8
+ Revision: 1528362
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Aug 19 2019 daviddavid <daviddavid> 0.99.0-4.mga8
+ Revision: 1430315
- system.d conf file was moved from /etc/dbus-1 to /usr/share/dbus-1

* Tue Apr 02 2019 umeabot <umeabot> 0.99.0-3.mga7
+ Revision: 1384936
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.99.0-2.mga7
+ Revision: 1301294
- Mageia 7 Mass Rebuild

* Tue Dec 20 2016 daviddavid <daviddavid> 0.99.0-1.mga6
+ Revision: 1076213
- initial package systemdgenie

